Package: groovy.lang

## [Java] Class GroovyObjectSupport

- groovy.lang.GroovyObjectSupport

- All Implemented Interfaces and Traits:
    GroovyObject

      public abstract class GroovyObjectSupport
      extends Object

  A useful base class for Java objects wishing to be Groovy objects

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyObjectSupport ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `MetaClass` | `getMetaClass()`
    `Object` | `getProperty(String property)`
    `Object` | `invokeMethod(String name, Object args)`
    `void` | `setMetaClass(MetaClass metaClass)`
    `void` | `setProperty(String property, Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GroovyObjectSupport()

  - ### Method Detail

    - #### public MetaClass getMetaClass()

    - #### public Object getProperty(String property)

    - #### public Object invokeMethod(String name, Object args)

    - #### public void setMetaClass(MetaClass metaClass)

    - #### public void setProperty(String property, Object newValue)